Loading...
Searching...
No Matches
input2d.c File Reference
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <math.h>`
`#include <grass/gis.h>`
`#include <grass/raster.h>`
`#include <grass/bitmap.h>`
`#include <grass/linkm.h>`
`#include <grass/interpf.h>`
`#include <grass/glocale.h>`
Include dependency graph for input2d.c:

Go to the source code of this file.

## Functions

struct BM * | IL_create_bitmask (struct interp_params *params)
int | translate_quad (struct multtree *tree, double numberx, double numbery, double numberz, int n_leafs)

## Detailed Description

Author
  H. Mitasova, I. Kosinovsky, D. Gerdes Fall 1993 (original authors)
  modified by McCauley in August 1995
  modified by Mitasova in August 1995
  modified by Brown in June 1999 - added elatt & smatt

Copyright
  (C) 1993-1999 by Helena Mitasova and the GRASS Development Team
  This program is free software under the GNU General Public License (>=v2). Read the file COPYING that comes with GRASS for details.

Definition in file input2d.c.

## Function Documentation

## IL_create_bitmask()

struct BM * IL_create_bitmask | ( | struct interp_params * | params | ) |

Creates a bitmap mask from given raster map

Creates a bitmap mask from maskmap raster file and/or current MASK if present and returns a pointer to the bitmask. If no mask is in force returns NULL.

Definition at line 37 of file input2d.c.

References BM_create(), BM_set(), G_fatal_error(), G_find_raster2(), G_message(), interp_params::maskmap, interp_params::nsizc, interp_params::nsizr, and NULL.

## translate_quad()

int translate_quad | ( | struct multtree * | tree,
|  | double | numberx,
|  | double | numbery,
|  | double | numberz,
|  | int | n_leafs )

Definition at line 90 of file input2d.c.

References multtree::data, multtree::leafs, NULL, quaddata::points, translate_quad(), x, quaddata::x_orig, quaddata::xmax, quaddata::y_orig, and quaddata::ymax.

Referenced by IL_vector_input_data_2d(), and translate_quad().